## help

### Verwendung

Sie lassen sich die Liste aller DBM-Kommandos anzeigen. Durch die Angabe von Optionen können Sie die Anzeige dieser Liste einschränken.

Sie einhalten eine Beschreibung der Syntax für die Eingabe von DBM- Kommandos, Angaben zu den möglichen und/oder notwendigen DBM-Optionen sowie Informationen darüber, ob die Ausführung des DBM-Kommandos eine Datenbank- oder eine Servicesitzung voraussetzt.

Veraltete Kommandos sind mit einem Hinweis auf den neuen Namen des Kommandos versehen.

Antwortzeilen mit mehr als 80 Zeichen werden umgebrochen.

### Voraussetzungen

Für die Ausführung dieses DBM-Kommandos ist keine Benutzeranmeldung an den Database Manager erforderlich.

### Syntax

help [<option>]

<option>::= <string> | <fuzzy_option> | <obsolete_option>

<fuzzy_option>:: = –k <string>

<obsolete_option>:: = -obsolete [<string>]

Optionen

Option | Beschreibung
<string> | Zeichenkette Es werden nur jene aktuellen DBM-Kommandos angezeigt, die mit der angegebenen Zeichenkette beginnen.
-k <string> | fehlertolerante Suche nach eine Zeichenkette im DBM-Kommando
-obsolete [<string>] | Es werden ausschließlich die veralteten DBM-Kommandos angezeigt. Zu jedem dieser Kommandos erhalten Sie einen Hinweis auf die aktuelle Bezeichnung. Wenn Sie eine Zeichenkette angeben, wird die Anzeige auf jene veralteten DBM-Kommandos eingegrenzt, die diese Zeichenkette enthielten. Wenn Sie keine Zeichenkette angeben, werden alle veralteten DBM-Kommandos angezeigt.

### Antwort

OK

<dbm_command> <description>

<dbm_command> <description>

...

Werte für die Felder der Antwort

Wert | Beschreibung
<dbm_command> | DBM-Kommando
<description> | Beschreibung des DBM-Kommandos, der möglichen Optionen und ihrer Verwendung für veraltete DBM-Kommandos wird das aktuell gültige ausgewiesen

Im Fehlerfall siehe Antwortformat.

### Beispiele

Aufrufen des Database Manager CLI, Anzeigen aller gültigen DBM-Kommandos:

dbmcli help

OK

apropos <command_name_part>

archive_stage <medium> <stage> [verify|noverify] [remove|keep]

[FileNumberList <list>]

archive_stage_repeat <medium> [verify|noverify] [remove|keep]

auto_extend <mode> [<percentage>]

autolog_cancel

autolog_off

autolog_on [<medium>]

autolog_show

autorecover [LOG] [UNTIL <date> <time>] [ ( KEY <key> LABEL

<label> ) | ( IBID <internal_backup_ID> ) ]

auto_update_statistics <mode>

backup_cancel (needs backup session)

backup_ext_ids_forget

...

...

Aufrufen des Database Manager CLI, Anzeigen aller DBM-Kommandos, die die Zeichenkette shm enthalten:

>dbmcli help –k shm

OK

dbm_shm_info

dbm_shm_reset

dbm_shm_unlock

Aufrufen des Database Manager CLI, Anzeigen aller veralteten DBM-Kommandos, die die Zeichenkette recover enthalten :

>dbmcli help –obsolete recover

OK

recover_devspace (obsolete version of recover_volume)